<div class="chat-app" *ngIf="isLoggedIn">
  <app-rooms-list
    (createRoomEvent)="createRoom($event)"
    (joinRoomEvent)="joinRoom($event)"
    [username]="username"
    [currentRoomId]="currentRoomId"
  ></app-rooms-list>
  <app-chat-window
    [messages]="messages"
    [username]="username"
    [currentRoomId]="currentRoomId"
  ></app-chat-window>
  <div *ngIf="currentRoomId; then sendForm"></div>
  <ng-template #sendForm>
    <app-send-form (sendMessageEvent)="sendMessage($event)"></app-send-form>
  </ng-template>
</div>
